package com.sf.payment.domain;

import apijson.NotNull;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 华为验证购买tokenDTO
 *
 * @author zk
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HuaweiPurchasesVerifyDTO implements Serializable {



    /**
     * 商品类别，取值包括：
     *
     * 0：消耗型商品
     * 1：非消耗型商品
     * 2：订阅型商品
     */
    @NotNull
    private Integer kind;

    /**
     * 待下发商品的购买Token，发起购买和查询待消费商品信息时均会返回purchaseToken参数。
     */
    @NotBlank(message = "待下发商品的购买Token不能为空")
    private String purchaseToken;

    /**
     * 待下发商品ID。商品ID来源于您在AppGallery Connect中配置商品信息时设置的商品ID。
     */
    @NotBlank(message = "待下发商品ID不能为空")
    private String productId;

    /**
     * 订单号
     */
    @NotBlank(message = "订单号不能为空")
    private String orderNo;

}
